Subject: [calsify] timezone article, possibly of interest to the group

From: "Tim Hare" <[email-masked]>
Date: Thu, 10 Nov 2016 21:23:14 -0500

http://www.nytimes.com/2016/11/06/opinion/sunday/time-to-dump-time-zones.htm
l?_r=0